| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Types | Private Attributes | List of all members
PartitionSwitchTool Class Reference
Inheritance diagram for PartitionSwitchTool:
[legend]
Collaboration diagram for PartitionSwitchTool:
[legend]

## Public Member Functions
STATUS | initialize () override
| Initialize. More...
STATUS | finalize () override
| Finalize. More...
void | _check (STATUS sc, CSTR msg) const
STATUS | create (CSTR nam, CSTR typ) override
| Create a partition object. The name identifies the partition uniquely. More...
STATUS | create (CSTR nam, CSTR typ, IInterface *&pPartition) override
| Create a partition object. The name identifies the partition uniquely. More...
STATUS | drop (CSTR nam) override
| Drop a partition object. The name identifies the partition uniquely. More...
STATUS | drop (IInterface *pPartition) override
| Drop a partition object. The name identifies the partition uniquely. More...
STATUS | activate (CSTR nam) override
| Activate a partition object. The name identifies the partition uniquely. More...
STATUS | activate (IInterface *pPartition) override
| Activate a partition object. More...
STATUS | get (CSTR nam, IInterface *&pPartition) const override
| Access a partition object. The name identifies the partition uniquely. More...
STATUS | activePartition (std::string &nam, IInterface *&pPartition) const override
| Access the active partition object. More...
Public Member Functions inherited from extends< AlgTool, IPartitionControl >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
Public Member Functions inherited from AlgTool
StatusCode | queryInterface (const InterfaceID &riid, void **ppvUnknown) override
| Query for a given interface. More...
const std::string & | name () const override
| Retrieve full identifying name of the concrete tool object. More...
const std::string & | type () const override
| Retrieve type (concrete class) of the sub-algtool. More...
const IInterface * | parent () const override
| Retrieve parent of the sub-algtool. More...
StatusCode | configure () override
StatusCode | initialize () override
StatusCode | start () override
StatusCode | stop () override
StatusCode | finalize () override
StatusCode | terminate () override
StatusCode | reinitialize () override
StatusCode | restart () override
Gaudi::StateMachine::State | FSMState () const override
Gaudi::StateMachine::State | targetFSMState () const override
StatusCode | sysInitialize () override
| Initialize AlgTool. More...
StatusCode | sysStart () override
| Start AlgTool. More...
StatusCode | sysStop () override
| Stop AlgTool. More...
StatusCode | sysFinalize () override
| Finalize AlgTool. More...
StatusCode | sysReinitialize () override
| Initialize AlgTool. More...
StatusCode | sysRestart () override
| Start AlgTool. More...
| AlgTool (const std::string &type, const std::string &name, const IInterface *parent)
| Standard Constructor. More...
SmartIF< ISvcLocator > & | serviceLocator () const override
| Retrieve pointer to service locator. More...
ISvcLocator * | svcLoc () const
| shortcut for the method service locator More...
IDataProviderSvc * | evtSvc () const
| accessor to event service service More...
IToolSvc * | toolSvc () const
| The standard ToolSvc service, Return a pointer to the service if present. More...
StatusCode | setProperties ()
| Method for setting declared properties to the values specified in the jobOptions via the job option service. More...
template<class T >
StatusCode | service (const std::string &name, T *&svc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &type, const std::string &name, T *&svc) const
| Access a service by name, type creating it if it doesn't already exist. More...
SmartIF< IService > | service (const std::string &name, const bool createIf=true, const bool quiet=false) const
| Return a pointer to the service identified by name (or "type/name") More...
template<typename T >
SmartIF< T > | service (const std::string &name, const bool createIf=true, const bool quiet=false) const
template<class T >
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, ToolHandle< T > &hndl, const std::string &doc="none")
template<class T >
StatusCode | declareTool (ToolHandle< T > &handle, bool createIf=true)
template<class T >
StatusCode | declareTool (ToolHandle< T > &handle, std::string toolTypeAndName, bool createIf=true)
template<class T >
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, ToolHandleArray< T > &hndlArr, const std::string &doc="none")
template<class T >
void | addToolsArray (ToolHandleArray< T > &hndlArr)
void | acceptDHVisitor (IDataHandleVisitor *) const override
void | registerTool (IAlgTool *tool) const
void | deregisterTool (IAlgTool *tool) const
const std::vector< IAlgTool * > & | tools () const
IAuditorSvc * | auditorSvc () const
| Access the auditor service. More...
IMonitorSvc * | monitorSvc () const
| Access the monitor service. More...
template<class T >
void | declareInfo (const std::string &name, const T &var, const std::string &desc) const
| Declare monitoring information. More...
void | declareInfo (const std::string &name, const std::string &format, const void *var, int size, const std::string &desc) const
| Declare monitoring information (special case) More...
| ~AlgTool () override
Public Member Functions inherited from DataHandleHolderBase< PropertyHolder< CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > > > >
std::vector< Gaudi::DataHandle * > | inputHandles () const override
std::vector< Gaudi::DataHandle * > | outputHandles () const override
virtual const DataObjIDColl & | extraInputDeps () const override
virtual const DataObjIDColl & | extraOutputDeps () const override
void | declare (Gaudi::DataHandle &handle) override
void | renounce (Gaudi::DataHandle &handle) override
const DataObjIDColl & | inputDataObjs () const override
const DataObjIDColl & | outputDataObjs () const override
void | addDependency (const DataObjID &id, const Gaudi::DataHandle::Mode &mode) override
Public Member Functions inherited from extends< PropertyHolder< CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > > >, IDataHandleHolder >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
Public Member Functions inherited from PropertyHolder< CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > > >
| PropertyHolder ()=default
Gaudi::Details::PropertyBase & | declareProperty (Gaudi::Details::PropertyBase &prop)
| Declare a property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none")
| Helper to wrap a regular data member and use it as a regular property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, Gaudi::Property< TYPE, VERIFIER, HANDLERS > &prop, const std::string &doc="none")
| Declare a PropertyBase instance setting name and documentation. More...
Gaudi::Details::PropertyBase * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="")
| Declare a remote property. More...
StatusCode | setProperty (const Gaudi::Details::PropertyBase &p) override
| set the property form another property More...
StatusCode | setProperty (const std::string &s) override
| set the property from the formatted string More...
StatusCode | setProperty (const std::string &n, const std::string &v) override
| set the property from name and the value More...
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
StatusCode | getProperty (Gaudi::Details::PropertyBase *p) const override
| get the property More...
const Gaudi::Details::PropertyBase & | getProperty (const std::string &name) const override
| get the property by name More...
StatusCode | getProperty (const std::string &n, std::string &v) const override
| convert the property to the string More...
const std::vector< Gaudi::Details::PropertyBase * > & | getProperties () const override
| get all properties More...
bool | hasProperty (const std::string &name) const override
| Return true if we have a property with the given name. More...
| PropertyHolder (const PropertyHolder &)=delete
PropertyHolder & | operator= (const PropertyHolder &)=delete
Public Member Functions inherited from CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > >
MSG::Level | msgLevel () const
| get the cached level (originally extracted from the embedded MsgStream) More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...
MSG::Level | outputLevel () const
| Backward compatibility function for getting the output level. More...
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
const SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...

## Private Types
using | CSTR = const std::string &
using | STATUS = StatusCode

## Private Attributes
Gaudi::Property< std::string > | m_actorName {this, "Actor", "EventDataService", "option to set the multi-service name"}
SmartIF< IPartitionControl > | m_actor
| reference to Partition Controller More...

## Additional Inherited Members
Public Types inherited from extends< AlgTool, IPartitionControl >
using | base_class = extends
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces... >
| Typedef to the base of this class. More...
Public Types inherited from AlgTool
using | Factory = Gaudi::PluginService::Factory< IAlgTool *(const std::string &, const std::string &, const IInterface *)>
Public Types inherited from extends< PropertyHolder< CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > > >, IDataHandleHolder >
using | base_class = extends
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces... >
| Typedef to the base of this class. More...
Public Types inherited from PropertyHolder< CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > > >
using | PropertyHolderImpl = PropertyHolder< CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > > >
| Typedef used to refer to this class from derived classes, as in. More...
Public Types inherited from CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > >
using | base_class = CommonMessaging
Public Types inherited from extend_interfaces< Interfaces... >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...
Protected Member Functions inherited from AlgTool
template<typename I >
void | declareInterface (I *i)
std::vector< IAlgTool * > & | tools ()
Protected Member Functions inherited from DataHandleHolderBase< PropertyHolder< CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > > > >
void | initDataHandleHolder ()
| initializes all handles - called by the sysInitialize method of any descendant of this More...
Protected Member Functions inherited from PropertyHolder< CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > > >
Gaudi::Details::PropertyBase * | property (const std::string &name) const
Protected Member Functions inherited from CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > >
MSG::Level | setUpMessaging () const
| Set up local caches. More...
MSG::Level | resetMessaging ()
| Reinitialize internal states. More...
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...
Protected Attributes inherited from AlgTool
std::unique_ptr< IDataHandleVisitor > | m_updateDataHandles
| Hook for for derived classes to provide a custom visitor for data handles. More...
Protected Attributes inherited from DataHandleHolderBase< PropertyHolder< CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > > > >
DataObjIDColl | m_inputDataObjs
DataObjIDColl | m_outputDataObjs

## Detailed Description

Author
  Markus Frank

Date
  2004-06-24

Definition at line 12 of file PartitionSwitchTool.cpp.

## Member Typedef Documentation

## ◆ CSTR

using PartitionSwitchTool::CSTR = const std::string&
| private

Definition at line 14 of file PartitionSwitchTool.cpp.

## ◆ STATUS

using PartitionSwitchTool::STATUS = StatusCode
| private

Definition at line 15 of file PartitionSwitchTool.cpp.

## Member Function Documentation

## ◆ _check()

void PartitionSwitchTool::_check | ( | STATUS | sc,
|  | CSTR | msg
| ) |  | const
| inline

Definition at line 49 of file PartitionSwitchTool.cpp.

49 { error() << msg << " Status=" << sc.getCode() << endmsg; }
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:98
CommonMessagingBase::msg
MsgStream & msg() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:113
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192

## ◆ activate() [1/2]

STATUS PartitionSwitchTool::activate | ( | CSTR | nam | ) |
| inline override

Activate a partition object. The name identifies the partition uniquely.

Definition at line 75 of file PartitionSwitchTool.cpp.

75 {
76 STATUS sc = m_actor ? m_actor->activate( nam ) : IInterface::Status::NO_INTERFACE;
77 CHECK( sc, "Cannot activate partition: " + nam );
78 }
IInterface::Status::NO_INTERFACE
Requested interface is not available.
CHECK
#define CHECK(x, y)
Definition: PartitionSwitchTool.cpp:50
PartitionSwitchTool::m_actor
SmartIF< IPartitionControl > m_actor
reference to Partition Controller
Definition: PartitionSwitchTool.cpp:20
PartitionSwitchTool::STATUS
StatusCode STATUS
Definition: PartitionSwitchTool.cpp:15
IPartitionControl::activate
virtual StatusCode activate(const std::string &name)=0
Activate a partition object. The name identifies the partition uniquely.

## ◆ activate() [2/2]

STATUS PartitionSwitchTool::activate | ( | IInterface * | pPartition | ) |
| inline override

Activate a partition object.

Definition at line 80 of file PartitionSwitchTool.cpp.

80 {
81 STATUS sc = m_actor ? m_actor->activate( pPartition ) : IInterface::Status::NO_INTERFACE;
82 CHECK( sc, "Cannot activate partition by Interface." );
83 }
IInterface::Status::NO_INTERFACE
Requested interface is not available.
CHECK
#define CHECK(x, y)
Definition: PartitionSwitchTool.cpp:50
PartitionSwitchTool::m_actor
SmartIF< IPartitionControl > m_actor
reference to Partition Controller
Definition: PartitionSwitchTool.cpp:20
PartitionSwitchTool::STATUS
StatusCode STATUS
Definition: PartitionSwitchTool.cpp:15
IPartitionControl::activate
virtual StatusCode activate(const std::string &name)=0
Activate a partition object. The name identifies the partition uniquely.

## ◆ activePartition()

STATUS PartitionSwitchTool::activePartition | ( | std::string & | nam,
|  | IInterface *& | pPartition
| ) |  | const
| inline override

Access the active partition object.

Definition at line 90 of file PartitionSwitchTool.cpp.

90 {
91 STATUS sc = m_actor ? m_actor->activePartition( nam, pPartition ) : IInterface::Status::NO_INTERFACE;
92 CHECK( sc, "Cannot determine active partition." );
93 }
IInterface::Status::NO_INTERFACE
Requested interface is not available.
IPartitionControl::activePartition
virtual StatusCode activePartition(std::string &name, IInterface *&pPartition) const =0
Access the active partition object.
CHECK
#define CHECK(x, y)
Definition: PartitionSwitchTool.cpp:50
PartitionSwitchTool::m_actor
SmartIF< IPartitionControl > m_actor
reference to Partition Controller
Definition: PartitionSwitchTool.cpp:20
PartitionSwitchTool::STATUS
StatusCode STATUS
Definition: PartitionSwitchTool.cpp:15

## ◆ create() [1/2]

STATUS PartitionSwitchTool::create | ( | CSTR | nam,
|  | CSTR | typ
| ) |  |
| inline override

Create a partition object. The name identifies the partition uniquely.

Definition at line 55 of file PartitionSwitchTool.cpp.

55 {
56 STATUS sc = m_actor ? m_actor->create( nam, typ ) : IInterface::Status::NO_INTERFACE;
57 CHECK( sc, "Cannot create partition: " + nam + " of type " + typ );
58 }
IInterface::Status::NO_INTERFACE
Requested interface is not available.
IPartitionControl::create
virtual StatusCode create(const std::string &name, const std::string &type)=0
Create a partition object. The name identifies the partition uniquely.
CHECK
#define CHECK(x, y)
Definition: PartitionSwitchTool.cpp:50
PartitionSwitchTool::m_actor
SmartIF< IPartitionControl > m_actor
reference to Partition Controller
Definition: PartitionSwitchTool.cpp:20
PartitionSwitchTool::STATUS
StatusCode STATUS
Definition: PartitionSwitchTool.cpp:15

## ◆ create() [2/2]

STATUS PartitionSwitchTool::create | ( | CSTR | nam,
|  | CSTR | typ,
|  | IInterface *& | pPartition
| ) |  |
| inline override

Create a partition object. The name identifies the partition uniquely.

Definition at line 60 of file PartitionSwitchTool.cpp.

60 {
61 STATUS sc = m_actor ? m_actor->create( nam, typ, pPartition ) : IInterface::Status::NO_INTERFACE;
62 CHECK( sc, "Cannot create partition: " + nam + " of type " + typ );
63 }
IInterface::Status::NO_INTERFACE
Requested interface is not available.
IPartitionControl::create
virtual StatusCode create(const std::string &name, const std::string &type)=0
Create a partition object. The name identifies the partition uniquely.
CHECK
#define CHECK(x, y)
Definition: PartitionSwitchTool.cpp:50
PartitionSwitchTool::m_actor
SmartIF< IPartitionControl > m_actor
reference to Partition Controller
Definition: PartitionSwitchTool.cpp:20
PartitionSwitchTool::STATUS
StatusCode STATUS
Definition: PartitionSwitchTool.cpp:15

## ◆ drop() [1/2]

STATUS PartitionSwitchTool::drop | ( | CSTR | nam | ) |
| inline override

Drop a partition object. The name identifies the partition uniquely.

Definition at line 65 of file PartitionSwitchTool.cpp.

65 {
66 STATUS sc = m_actor ? m_actor->drop( nam ) : IInterface::Status::NO_INTERFACE;
67 CHECK( sc, "Cannot drop partition: " + nam );
68 }
IInterface::Status::NO_INTERFACE
Requested interface is not available.
CHECK
#define CHECK(x, y)
Definition: PartitionSwitchTool.cpp:50
PartitionSwitchTool::m_actor
SmartIF< IPartitionControl > m_actor
reference to Partition Controller
Definition: PartitionSwitchTool.cpp:20
PartitionSwitchTool::STATUS
StatusCode STATUS
Definition: PartitionSwitchTool.cpp:15
IPartitionControl::drop
virtual StatusCode drop(const std::string &name)=0
Drop a partition object. The name identifies the partition uniquely.

## ◆ drop() [2/2]

STATUS PartitionSwitchTool::drop | ( | IInterface * | pPartition | ) |
| inline override

Drop a partition object. The name identifies the partition uniquely.

Definition at line 70 of file PartitionSwitchTool.cpp.

70 {
71 STATUS sc = m_actor ? m_actor->drop( pPartition ) : IInterface::Status::NO_INTERFACE;
72 CHECK( sc, "Cannot drop partition by Interface." );
73 }
IInterface::Status::NO_INTERFACE
Requested interface is not available.
CHECK
#define CHECK(x, y)
Definition: PartitionSwitchTool.cpp:50
PartitionSwitchTool::m_actor
SmartIF< IPartitionControl > m_actor
reference to Partition Controller
Definition: PartitionSwitchTool.cpp:20
PartitionSwitchTool::STATUS
StatusCode STATUS
Definition: PartitionSwitchTool.cpp:15
IPartitionControl::drop
virtual StatusCode drop(const std::string &name)=0
Drop a partition object. The name identifies the partition uniquely.

## ◆ finalize()

STATUS PartitionSwitchTool::finalize | ( |  | ) |
| inline override

Finalize.

Definition at line 44 of file PartitionSwitchTool.cpp.

44 {
45 m_actor = nullptr;
46 return AlgTool::finalize();
47 }
AlgTool::finalize
StatusCode finalize() override
Definition: AlgTool.cpp:268
PartitionSwitchTool::m_actor
SmartIF< IPartitionControl > m_actor
reference to Partition Controller
Definition: PartitionSwitchTool.cpp:20

## ◆ get()

STATUS PartitionSwitchTool::get | ( | CSTR | nam,
|  | IInterface *& | pPartition
| ) |  | const
| inline override

Access a partition object. The name identifies the partition uniquely.

Definition at line 85 of file PartitionSwitchTool.cpp.

85 {
86 STATUS sc = m_actor ? m_actor->get( nam, pPartition ) : IInterface::Status::NO_INTERFACE;
87 CHECK( sc, "Cannot get partition " + nam );
88 }
IInterface::Status::NO_INTERFACE
Requested interface is not available.
CHECK
#define CHECK(x, y)
Definition: PartitionSwitchTool.cpp:50
PartitionSwitchTool::m_actor
SmartIF< IPartitionControl > m_actor
reference to Partition Controller
Definition: PartitionSwitchTool.cpp:20
IPartitionControl::get
virtual StatusCode get(const std::string &name, IInterface *&pPartition) const =0
Access a partition object. The name identifies the partition uniquely.
PartitionSwitchTool::STATUS
StatusCode STATUS
Definition: PartitionSwitchTool.cpp:15

## ◆ initialize()

STATUS PartitionSwitchTool::initialize | ( |  | ) |
| inline override

Initialize.

Access partitioned multi-service

Definition at line 26 of file PartitionSwitchTool.cpp.

26 {
28 STATUS sc = AlgTool::initialize();
29 if ( !sc.isSuccess() ) {
30 error() << "Cannot initialize base class!" << endmsg;
31 return sc;
32 }
33 m_actor = nullptr;
34 IPartitionControl* tmpPtr = nullptr;
35 sc = service( m_actorName, tmpPtr );
36 m_actor = tmpPtr;
37 if ( !sc.isSuccess() ) {
38 error() << "Cannot retrieve partition controller \"" << m_actorName.value() << "\"!" << endmsg;
39 return sc;
40 }
41 return sc;
42 }
AlgTool::initialize
StatusCode initialize() override
Definition: AlgTool.cpp:201
PartitionSwitchTool::m_actorName
Gaudi::Property< std::string > m_actorName
Definition: PartitionSwitchTool.cpp:18
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:98
PartitionSwitchTool::m_actor
SmartIF< IPartitionControl > m_actor
reference to Partition Controller
Definition: PartitionSwitchTool.cpp:20
AlgTool::service
StatusCode service(const std::string &name, T *&svc, bool createIf=true) const
Access a service by name, creating it if it doesn't already exist.
Definition: AlgTool.h:128
PartitionSwitchTool::STATUS
StatusCode STATUS
Definition: PartitionSwitchTool.cpp:15
IPartitionControl
Create / access partitions.
Definition: IPartitionControl.h:66
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192

## Member Data Documentation

## ◆ m_actor

SmartIF<IPartitionControl> PartitionSwitchTool::m_actor
| private

reference to Partition Controller

Definition at line 20 of file PartitionSwitchTool.cpp.

## ◆ m_actorName

Gaudi::Property<std::string> PartitionSwitchTool::m_actorName {this, "Actor", "EventDataService", "option to set the multi-service name"}
| private

Definition at line 18 of file PartitionSwitchTool.cpp.

The documentation for this class was generated from the following file:

- GaudiCommonSvc/src/DataSvc/PartitionSwitchTool.cpp